Index: utils/CI/sette_ticket2673/param.cfg
===================================================================
--- utils/CI/sette_ticket2673/param.cfg	(revision 14870)
+++ utils/CI/sette_ticket2673/param.cfg	(revision 14873)
@@ -67,10 +67,11 @@
 #
 # TYPES OF TESTS TO PERFORM
-export DO_RESTART=1    # The restart test is always needed because this compiles the code
+# Note an attempt will be made to compile each configuration even if none of these tests are activated
+export DO_RESTART=0  
 export DO_REPRO=0
 export DO_CORRUPT=0
 export DO_PHYOPTS=0
 TEST_TYPES=(${SETTE_TEST_TYPES[@]:-"RESTART REPRO PHYOPTS CORRUPT"})
-if [[ ! ${TEST_TYPES[*]} =~ .*RESTART.* ]]; then export TEST_TYPES=("RESTART" ${TEST_TYPES[@]}) ;fi
+if [[ ${TEST_TYPES[*]} =~ .*RESTART.* ]]; then export DO_RESTART=1 ;fi
 if [[ ${TEST_TYPES[*]} =~ .*REPRO.* ]]; then export DO_REPRO=1 ;fi
 if [[ ${TEST_TYPES[*]} =~ .*CORRUPT.* ]]; then export DO_CORRUPT=1 ;fi
Index: utils/CI/sette_ticket2673/sette.sh
===================================================================
--- utils/CI/sette_ticket2673/sette.sh	(revision 14870)
+++ utils/CI/sette_ticket2673/sette.sh	(revision 14873)
@@ -6,4 +6,5 @@
 export CMPL_CORES=8            # Number of threads to use for compiling
 dry_run=0
+NO_REPORT=0
 #
 # controls for some common namelist, run-time options:
@@ -33,16 +34,21 @@
 # Parse command-line arguments
 if [ $# -gt 0 ]; then
-  while getopts n:x:v:cdshTzqQteiACFX option; do 
+  while getopts n:x:v:cdrshTzqQteiACFX option; do 
      case $option in
         c) export SETTE_CLEAN_CONFIGS='yes'
            export SETTE_SYNC_CONFIGS='yes'
-           echo "-c: Configuration $SETTE_TEST_CONFIGS will be cleaned; this option enforces also synchronisation"
+           echo "-c: Configuration ${SETTE_TEST_CONFIGS[@]} will be cleaned; this option enforces also synchronisation"
            echo "";;
         d) dry_run=1
            echo "";;
+        r) NO_REPORT=1
+           echo "";;
         s) export SETTE_SYNC_CONFIGS='yes'
-           echo "-s: MY_SRC and EXP00 in $SETTE_TEST_CONFIGS will be synchronised with the MY_SRC and EXPREF from the reference configuration"
-           echo "";;
-        n) export SETTE_TEST_CONFIGS=($OPTARG)
+           echo "-s: MY_SRC and EXP00 in ${SETTE_TEST_CONFIGS[@]} will be synchronised with the MY_SRC and EXPREF from the reference configuration"
+           echo "";;
+        n) OPTSTR="$OPTARG"
+           OPTSTR="${OPTSTR/ORCA2_SAS_ICE/SAS}"              # Permit either shortened (expected) or full name for SAS
+           OPTSTR="${OPTSTR/AGRIF_DEMO/AGRIF}"               # Permit either shortened (expected) or full name for AGRIF
+           export SETTE_TEST_CONFIGS=(${OPTSTR})
            echo "=================================="
            if [ ${#SETTE_TEST_CONFIGS[@]} -gt 1 ]; then
@@ -52,6 +58,6 @@
            fi
            echo "";;
-        x) export SETTE_TEST_TYPES=($OPTARG)
-           echo "-x: $SETTE_TEST_TYPES tests requested"
+        x) export SETTE_TEST_TYPES=(${OPTARG})
+           echo "-x: ${SETTE_TEST_TYPES[@]} tests requested"
            echo "";;
         v) export SETTE_SUB_VAL=($OPTARG)
@@ -107,4 +113,5 @@
                echo '-x "TEST_type TEST_type ..." to specify particular types of test (RESTART is mandatory)'
                echo '-v "subdir" optional validation record subdirectory to be created below NEMO_VALIDATION_DIR'
+               echo '-r to execute without waiting to run sette_rpt.sh at the end (useful for chaining sette.sh invocations)'
                echo '-d to perform a dryrun to simply report what settings will be used'
                echo '-c to clean each configuration'
@@ -213,4 +220,5 @@
 fi
 
+if [ ${NO_REPORT} -ne 0 ] ; then exit ; fi
 # run sette report
 echo ""
Index: utils/CI/sette_ticket2673/sette_reference-configurations.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_reference-configurations.sh	(revision 14870)
+++ utils/CI/sette_ticket2673/sette_reference-configurations.sh	(revision 14873)
@@ -127,4 +127,5 @@
 # WED025            : regional configuration including sea-ice and tides (Spitzbergen)
 
+. ./all_functions.sh
 for config in ${TEST_CONFIGS[@]}
 do
@@ -133,6 +134,5 @@
 # GYRE_PISCES
 # -----------
-if [ ${config} == "GYRE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests for GYRE_PISCES
+if [ ${config} == "GYRE_PISCES" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -142,9 +142,7 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  GYRE_PISCES GYRE_PISCES_ST 'cfgs'
     clean_config GYRE_PISCES GYRE_PISCES_ST 'cfgs'
@@ -152,6 +150,9 @@
     # GYRE uses linssh so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n GYRE_PISCES_ST -r GYRE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "GYRE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests for GYRE_PISCES
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -216,5 +217,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -268,6 +268,5 @@
 # ORCA2_ICE_PISCES
 # -----------------
-if [ ${config} == "ORCA2_ICE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests for ORCA2_ICE_PISCES
+if [ ${config} == "ORCA2_ICE_PISCES" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -277,15 +276,16 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  ORCA2_ICE_PISCES ORCA2_ICE_PISCES_ST 'cfgs'
     clean_config ORCA2_ICE_PISCES ORCA2_ICE_PISCES_ST 'cfgs'
     #
     . ./makenemo -m ${CMP_NAM} -n ORCA2_ICE_PISCES_ST -r ORCA2_ICE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "ORCA2_ICE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests for ORCA2_ICE_PISCES
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -400,5 +400,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -491,6 +490,5 @@
 # ORCA2_OFF_PISCES
 # ----------------
-if [ ${config} == "ORCA2_OFF_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests for ORCA2_OFF_PISCES
+if [ ${config} == "ORCA2_OFF_PISCES" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -500,9 +498,7 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
     clean_config ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
@@ -510,6 +506,9 @@
     # ORCA2_OFF_PISCES uses linssh so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n ORCA2_OFF_PISCES_ST -r ORCA2_OFF_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "ORCA2_OFF_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests for ORCA2_OFF_PISCES
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -591,5 +590,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -665,6 +663,5 @@
 # AMM12
 # -----
-if [ ${config} == "AMM12" ] && [ ${DO_RESTART} == "1" ] ;  then
-    ## Restartability tests for AMM12
+if [ ${config} == "AMM12" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -674,15 +671,16 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  AMM12 AMM12_ST 'cfgs'
     clean_config AMM12 AMM12_ST 'cfgs'
     #
     . ./makenemo -m ${CMP_NAM} -n AMM12_ST -r AMM12 -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "AMM12" ] && [ ${DO_RESTART} == "1" ] ;  then
+    ## Restartability tests for AMM12
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -740,5 +738,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -785,8 +782,7 @@
 
 # ---------
-# ORCA2_SAS
+# ORCA2_SAS_ICE
 # ---------
-if [ ${config} == "SAS" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests
+if [ ${config} == "SAS" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -796,9 +792,7 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  ORCA2_SAS_ICE ORCA2_SAS_ICE_ST 'cfgs'
     clean_config ORCA2_SAS_ICE ORCA2_SAS_ICE_ST 'cfgs'
@@ -806,6 +800,9 @@
     # ORCA2_SAS_ICE uses linssh so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n ORCA2_SAS_ICE_ST -r ORCA2_SAS_ICE -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "SAS" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -872,5 +869,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -923,5 +919,5 @@
 ## Test assimilation interface code, OBS and ASM for reproducibility
 ## Restartability not tested (ASM code not restartable while increments are being applied)
-if [ ${config} == "ORCA2_ICE_OBS" ] && [ ${DO_RESTART} == "1" ] ;  then
+if [ ${config} == "ORCA2_ICE_OBS" ] ;  then
 ## Reproducibility tests
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
@@ -931,15 +927,16 @@
 	ITEND=80  # 5 days
     fi
-    export TEST_NAME="REPRO_4_8"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  ORCA2_ICE_PISCES ORCA2_ICE_OBS_ST 'cfgs'
     clean_config ORCA2_ICE_PISCES ORCA2_ICE_OBS_ST 'cfgs'
     #
     . ./makenemo -m ${CMP_NAM} -n ORCA2_ICE_OBS_ST -r ORCA2_ICE_PISCES -d "OCE ICE"  -j ${CMPL_CORES} add_key "key_asminc ${ADD_KEYS}" del_key "key_top ${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "ORCA2_ICE_OBS" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Reproducibility tests
+    export TEST_NAME="REPRO_4_8"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1034,6 +1031,5 @@
 # AGRIF ICE
 # -----------
-if [ ${config} == "AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests
+if [ ${config} == "AGRIF" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -1046,15 +1042,16 @@
     ITRST_2=$( printf "%08d" $(( ${ITEND} * 4 / 2 )) )
     ITRST_3=$( printf "%08d" $(( ${ITEND} * 4 * 3 / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  AGRIF_DEMO AGRIF_DEMO_ST 'cfgs'
     clean_config AGRIF_DEMO AGRIF_DEMO_ST 'cfgs'
     #
     . ./makenemo -m ${CMP_NAM} -n AGRIF_DEMO_ST -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1159,5 +1156,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1253,5 +1249,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1285,5 +1280,4 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  AGRIF_DEMO AGRIF_DEMO_NOAGRIF_ST 'cfgs'
     clean_config AGRIF_DEMO AGRIF_DEMO_NOAGRIF_ST 'cfgs'
@@ -1291,5 +1285,4 @@
     . ./makenemo -m ${CMP_NAM} -n AGRIF_DEMO_NOAGRIF_ST -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "key_agrif ${DEL_KEYS}"
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1316,6 +1309,5 @@
 # WED025
 # -------
-if [ ${config} == "WED025" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests
+if [ ${config} == "WED025" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -1325,9 +1317,7 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     sync_config  WED025 WED025_ST 'cfgs'
     clean_config WED025 WED025_ST 'cfgs'
@@ -1335,6 +1325,9 @@
     # WED025 uses ln_hpg_isf so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n WED025_ST -r WED025 -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "WED025" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -1395,5 +1388,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
Index: utils/CI/sette_ticket2673/sette_test-cases.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_test-cases.sh	(revision 14870)
+++ utils/CI/sette_ticket2673/sette_test-cases.sh	(revision 14873)
@@ -127,4 +127,5 @@
 # WAD
 
+. ./all_functions.sh
 for config in ${TEST_CONFIGS[@]}
 do
@@ -133,6 +134,5 @@
 #  OVERFLOW
 # ---------
-if [ ${config} == "OVERFLOW" ] && [ ${DO_RESTART} == "1" ] ;  then
-    ## Restartability tests for OVERFLOW
+if [ ${config} == "OVERFLOW" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -142,16 +142,17 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
+    cd ${MAIN_DIR}
+    #
+    #
+    clean_config OVERFLOW OVERFLOW_ST 'tests'
+    #
+    sync_config  OVERFLOW OVERFLOW_ST 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n OVERFLOW_ST -a OVERFLOW -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+fi
+if [ ${config} == "OVERFLOW" ] && [ ${DO_RESTART} == "1" ] ;  then
+    ## Restartability tests for OVERFLOW
     export TEST_NAME="LONG"
-    cd ${MAIN_DIR}
-    #
-    . ${SETTE_DIR}/all_functions.sh
-    #
-    clean_config OVERFLOW OVERFLOW_ST 'tests'
-    #
-    sync_config  OVERFLOW OVERFLOW_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n OVERFLOW_ST -a OVERFLOW -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -215,5 +216,4 @@
          ##
         cd ${SETTE_DIR}
-        . ./all_functions.sh
         . ./prepare_exe_dir.sh
         set_valid_dir
@@ -240,6 +240,5 @@
 #  LOCK_EXCHANGE
 # --------------
-if [ ${config} == "LOCK_EXCHANGE" ] && [ ${DO_RESTART} == "1" ] ;  then
-    ## Restartability tests for LOCK_EXCHANGE
+if [ ${config} == "LOCK_EXCHANGE" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -249,17 +248,18 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
+    cd ${MAIN_DIR}
+    #
+    # syncronisation if target directory/file exist (not done by makenemo)
+    #
+    clean_config LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
+    #
+    sync_config  LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n LOCK_EXCHANGE_ST -a LOCK_EXCHANGE -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+fi
+if [ ${config} == "LOCK_EXCHANGE" ] && [ ${DO_RESTART} == "1" ] ;  then
+    ## Restartability tests for LOCK_EXCHANGE
     export TEST_NAME="LONG"
-    cd ${MAIN_DIR}
-    #
-    # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
-    #
-    clean_config LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
-    #
-    sync_config  LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n LOCK_EXCHANGE_ST -a LOCK_EXCHANGE -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -323,5 +323,4 @@
         ##  
         cd ${SETTE_DIR}
-        . ./all_functions.sh
         . ./prepare_exe_dir.sh
         set_valid_dir
@@ -349,6 +348,5 @@
 # VORTEX
 # ---------
-if [ ${config} == "VORTEX" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests for VORTEX
+if [ ${config} == "VORTEX" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -359,17 +357,18 @@
     ITRST=$(   printf "%08d" $(( ${ITEND} / 2 )) )
     ITRST_1=$( printf "%08d" $(( ${ITEND} * 3 / 2 )) )
+    cd ${MAIN_DIR}
+    #
+    # syncronisation if target directory/file exist (not done by makenemo)
+    #
+    clean_config VORTEX VORTEX_ST 'tests'
+    #
+    sync_config  VORTEX VORTEX_ST 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n VORTEX_ST -a VORTEX -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+fi
+if [ ${config} == "VORTEX" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests for VORTEX
     export TEST_NAME="LONG"
-    cd ${MAIN_DIR}
-    #
-    # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
-    #
-    clean_config VORTEX VORTEX_ST 'tests'
-    #
-    sync_config  VORTEX VORTEX_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n VORTEX_ST -a VORTEX -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -445,5 +444,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -519,6 +517,5 @@
 # ICE_AGRIF
 # ---------
-if [ ${config} == "ICE_AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests for ICE_AGRIF
+if [ ${config} == "ICE_AGRIF" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -529,9 +526,7 @@
     ITRST=$(   printf "%08d" $(( ${ITEND} / 2 )) )
     ITRST_1=$( printf "%08d" $(( ${ITEND} * 3 / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     #
     clean_config ICE_AGRIF ICE_AGRIF_ST 'tests'
@@ -541,6 +536,9 @@
     # ICE_AGRIF uses linssh so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n ICE_AGRIF_ST -a ICE_AGRIF -j ${CMPL_CORES}  add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "ICE_AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests for ICE_AGRIF
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -625,5 +623,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -694,6 +691,5 @@
 # ISOMIP+
 # ------
-if [ ${config} == "ISOMIP+" ] && [ ${DO_RESTART} == "1" ] ;  then
-## Restartability tests
+if [ ${config} == "ISOMIP+" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -703,9 +699,7 @@
     fi
     ITRST=$( printf "%08d" $(( ${ITEND} / 2 )) )
-    export TEST_NAME="LONG"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
     #
     clean_config ISOMIP+ ISOMIP+_ST 'tests'
@@ -715,6 +709,9 @@
     # ISOMIP+ uses ln_hpg_isf so remove key_qco if added by default
     . ./makenemo -m ${CMP_NAM} -n ISOMIP+_ST -a ISOMIP+ -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+fi
+if [ ${config} == "ISOMIP+" ] && [ ${DO_RESTART} == "1" ] ;  then
+## Restartability tests
+    export TEST_NAME="LONG"
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -778,5 +775,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -827,6 +823,5 @@
 # SWG
 # ---------
-if [ ${config} == "SWG" ] && [ ${DO_RESTART} == "1" ] && [ ${USING_QCO} == "yes" ] ;  then
-## Restartability tests for SWG
+if [ ${config} == "SWG" ] && [ ${USING_QCO} == "yes" ] ;  then
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -836,17 +831,18 @@
     fi
     ITRST=$(   printf "%08d" $(( ${ITEND} / 2 )) )
+    cd ${MAIN_DIR}
+    #
+    # syncronisation if target directory/file exist (not done by makenemo)
+    #
+    clean_config SWG SWG_ST 'tests'
+    #
+    sync_config  SWG SWG_ST 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n SWG_ST -a SWG -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+fi
+if [ ${config} == "SWG" ] && [ ${DO_RESTART} == "1" ] && [ ${USING_QCO} == "yes" ] ;  then
+## Restartability tests for SWG
     export TEST_NAME="LONG"
-    cd ${MAIN_DIR}
-    #
-    # syncronisation if target directory/file exist (not done by makenemo)
-    . ${SETTE_DIR}/all_functions.sh
-    #
-    clean_config SWG SWG_ST 'tests'
-    #
-    sync_config  SWG SWG_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n SWG_ST -a SWG -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
-    cd ${SETTE_DIR}
-    . ./all_functions.sh
+    cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
     set_valid_dir
@@ -905,5 +901,4 @@
     cd ${MAIN_DIR}
     cd ${SETTE_DIR}
-    . ./all_functions.sh
     . ./prepare_exe_dir.sh
     set_valid_dir