Index: utils/CI/sette_ticket2673/prepare_exe_dir.sh
===================================================================
--- utils/CI/sette_ticket2673/prepare_exe_dir.sh	(revision 14874)
+++ utils/CI/sette_ticket2673/prepare_exe_dir.sh	(revision 14876)
@@ -86,5 +86,4 @@
 printf "%-33s : %s\n" USING_TILING $USING_TILING                  >> ./sette_config
 printf "%-33s : %s\n" USING_COLLECTIVES $USING_COLLECTIVES        >> ./sette_config
-printf "%-33s : %s\n" USING_NOSIGNED0 $USING_NOSIGNED0            >> ./sette_config
 printf "%-33s : %s\n" USING_QCO $USING_QCO                        >> ./sette_config
 printf "%-33s : %s\n" USING_LOOP_FUSION $USING_LOOP_FUSION        >> ./sette_config
Index: utils/CI/sette_ticket2673/sette.sh
===================================================================
--- utils/CI/sette_ticket2673/sette.sh	(revision 14874)
+++ utils/CI/sette_ticket2673/sette.sh	(revision 14876)
@@ -19,5 +19,4 @@
 # controls for some common compile-time keys:
 #
-export USING_NOSIGNED0='yes'   # Default: yes => add key_nosignedzero   ; use -z to delete key_nosignedzero
 export USING_QCO='yes'         # Default: yes => add key_qco            ; use -q to delete key_qco
 export USING_RK3='no'          # Default: yes => add key_RK3 & key_qco  ; use -Q to delete key_RK3
@@ -34,5 +33,5 @@
 # Parse command-line arguments
 if [ $# -gt 0 ]; then
-  while getopts n:x:v:cdrshTzqQteiACFX option; do 
+  while getopts n:x:v:cdrshTqQteiACFX option; do 
      case $option in
         c) export SETTE_CLEAN_CONFIGS='yes'
@@ -79,7 +78,4 @@
            echo "-C: nn_comm will be set to 1"
            echo "";;
-        z) export USING_NOSIGNED0='no'
-           echo "-z: key_nosignedzero will NOT be activated"
-           echo "";;
         q) export USING_QCO='no'
            echo "-q: key_qco and key_linssh will NOT be activated"
@@ -104,5 +100,4 @@
                echo '-i set ln_icebergs false (default: true)'
                echo '-C set nn_comm=1 (default: nn_comm=2 ==> use MPI3 collective comms)'
-               echo '-z to remove the key_nosignedzero key (default: added)'
                echo '-q to remove the key_qco key (default: added)'
                echo '-X to remove the key_xios key (default: added)'
@@ -137,7 +132,4 @@
 if [ ${USING_XIOS} == "no" ]  ; then export DEL_KEYS="${DEL_KEYS}key_xios " ; fi
 #
-if [ ${USING_NOSIGNED0} == "yes" ] ; then export ADD_KEYS="${ADD_KEYS}key_nosignedzero " ; fi
-if [ ${USING_NOSIGNED0} == "no" ]  ; then export DEL_KEYS="${DEL_KEYS}key_nosignedzero " ; fi
-#
 if [ ${USING_LOOP_FUSION} == "yes" ] ; then export ADD_KEYS="${ADD_KEYS}key_loop_fusion " ; fi
 if [ ${USING_LOOP_FUSION} == "no" ]  ; then export DEL_KEYS="${DEL_KEYS}key_loop_fusion " ; fi
@@ -180,5 +172,4 @@
 printf "%-33s : %s\n" USING_TILING $USING_TILING
 printf "%-33s : %s\n" USING_COLLECTIVES $USING_COLLECTIVES
-printf "%-33s : %s\n" USING_NOSIGNED0 $USING_NOSIGNED0
 printf "%-33s : %s\n" USING_QCO $USING_QCO
 printf "%-33s : %s\n" USING_LOOP_FUSION $USING_LOOP_FUSION
Index: utils/CI/sette_ticket2673/sette_list_avail_rev.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_list_avail_rev.sh	(revision 14874)
+++ utils/CI/sette_ticket2673/sette_list_avail_rev.sh	(revision 14876)
@@ -4,12 +4,14 @@
 SETTE_DIR=$(cd $(dirname "$0"); pwd)
 MAIN_DIR=$(dirname $SETTE_DIR)
+USE_REF=0
 
 . ./param.cfg
 
 if [ $# -gt 0 ]; then
-  while getopts c:v:h option; do 
+  while getopts c:v:Rh option; do 
      case $option in
         c) COMPILER=$OPTARG;;
         v) SETTE_SUB_VAL=$OPTARG;;
+        R) USE_REF=1;;
         h | *) echo ''
                echo 'sette_list_avail_rev.sh : ' 
@@ -39,6 +41,5 @@
     ALLLST=${@:3}
     # display
-    echo ""
-    printf "%-27s : " $CONFIG
+    printf "\n %-28s : " $CONFIG
     for rev in $ALLLST
     do
@@ -53,7 +54,10 @@
 
   NEMO_VALID=${NEMO_VALIDATION_DIR}/
+  if [ ${USE_REF} == 1 ] ; then 
+    NEMO_VALID=${NEMO_VALIDATION_REF}/
+  fi
  
  # list of all revision available
- DIRLIST=`find ${NEMO_VALID}/${COMPILER} -maxdepth 1 -mindepth 1 -type d | sort -u -r`
+ DIRLIST=`find ${NEMO_VALID}/${COMPILER} -maxdepth 1 -mindepth 1 -type d | sort -u`
  DIRLIST=`basename -a $DIRLIST`
 
@@ -62,14 +66,15 @@
  echo " Compiler used is : $COMPILER"
  echo ""
- printf " List of all avail. rev. is : "
+ printf " List of all avail. rev. in   :"${NEMO_VALID}"\n"
+ printf "                         is   : "
  for dir in `echo $DIRLIST`; do printf "%-6s  " $dir ; done
  printf "\n"
 
  # start checking configuration revision
- echo ""
- echo "   !---- check revision available for each configuration ----!   "
+ echo " Availability for each config.: "
+ echo -n " ------------------------------"
  for CONFIG in GYRE_PISCES ORCA2_ICE_PISCES ORCA2_OFF_PISCES AMM12 ORCA2_SAS_ICE AGRIF_DEMO SWG ISOMIP+ OVERFLOW LOCK_EXCHANGE VORTEX ICE_AGRIF 
  do
-    DIR=${NEMO_VALIDATION_DIR}/${COMPILER}/
+    DIR=${NEMO_VALID}/${COMPILER}/
     lst_rev $DIR $CONFIG $DIRLIST
  done