Index: utils/CI/sette_ticket2673/sette.sh
===================================================================
--- utils/CI/sette_ticket2673/sette.sh	(revision 14884)
+++ utils/CI/sette_ticket2673/sette.sh	(revision 14887)
@@ -29,5 +29,5 @@
 export USING_MPMD='yes'        # Default: yes => run with detached XIOS servers ; use -A to run in attached (SPMD) mode
                                #    Note: yes also ensures key_xios but -A will not remove it
-export SETTE_SUB_VAL=""
+export SETTE_SUB_VAL="MAIN"    # Default subdirectory below NEMO_VALIDATION_DIR
 
 # Parse command-line arguments
@@ -182,10 +182,8 @@
  fi
 fi
-if [ ! -z $SETTE_SUB_VAL ] ; then
- if [ ! -d $NEMO_VALIDATION_DIR/$SETTE_SUB_VAL ] && [ ${dry_run} -eq 0 ] ; then
-    mkdir $NEMO_VALIDATION_DIR/$SETTE_SUB_VAL
- fi
- export NEMO_VALIDATION_DIR=$NEMO_VALIDATION_DIR/$SETTE_SUB_VAL
-fi
+if [ ! -d $NEMO_VALIDATION_DIR/$SETTE_SUB_VAL ] && [ ${dry_run} -eq 0 ] ; then
+   mkdir $NEMO_VALIDATION_DIR/$SETTE_SUB_VAL
+fi
+export NEMO_VALIDATION_DIR=$NEMO_VALIDATION_DIR/$SETTE_SUB_VAL
 
 if [ ${#SETTE_TEST_CONFIGS[@]} -eq 0 ]; then
Index: utils/CI/sette_ticket2673/sette_rpt.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_rpt.sh	(revision 14884)
+++ utils/CI/sette_ticket2673/sette_rpt.sh	(revision 14887)
@@ -472,5 +472,5 @@
 # overwrite revision (later) or compiler
   if [ $# -gt 0 ]; then
-    while getopts r:R:c:v:h option; do 
+    while getopts r:R:c:v:V:h option; do 
        case $option in
           c) mach=$OPTARG;;
@@ -478,4 +478,11 @@
           R) refrev=$OPTARG;;
           v) SETTE_SUB_VAL=$OPTARG;;
+          V) SETTE_SUB_VAL2=$OPTARG
+             if [ -d ${NEMO_VALIDATION_DIR}/${SETTE_SUB_VAL2} ] ; then
+               export NEMO_VALIDATION_REF=${NEMO_VALIDATION_DIR}/${SETTE_SUB_VAL2}
+             else
+               echo "Requested comparison subdirectory: ${NEMO_VALIDATION_DIR}/${SETTE_SUB_VAL2} does not exist"
+             fi
+             ;;
           h | *) echo ''
                  echo 'sette_rpt.sh : ' 
@@ -486,7 +493,10 @@
                  echo '     display sette results for the specified revision (set old for the latest revision available for each config)'
                  echo ' -R REFERENCE REVISION_number :'
-                 echo '     compare sette results against the specified reference revision (use to over-ride value set in param.cfg)'
+                 echo '     compare sette results against the specified revision (use to over-ride value set in param.cfg)'
                  echo ' -v sub_dir :'
                  echo '     validation sub-directory below NEMO_VALIDATION_DIR'
+                 echo ' -V sub_dir2 :'
+                 echo '     2nd validation sub-directory below NEMO_VALIDATION_DIR'
+                 echo '     if set the comparison is between two subdirectory trees beneath NEMO_VALIDATION_DIR'
                  echo ''
                  exit 42;;
@@ -500,14 +510,20 @@
   if [ ! -z $SETTE_SUB_VAL ] ; then
    export NEMO_VALIDATION_DIR=$NEMO_VALIDATION_DIR/$SETTE_SUB_VAL
-   if [ -d $NEMO_VALIDATION_REF/$SETTE_SUB_VAL ] ; then
+   if [ -d $NEMO_VALIDATION_REF/$SETTE_SUB_VAL ] && [ -z $SETTE_SUB_VAL2 ] ; then
     while true; do
         read -p "$NEMO_VALIDATION_REF/$SETTE_SUB_VAL exists. Do you wish to use it as a reference? " yn
         case $yn in
             [Yy]* ) export $NEMO_VALIDATION_REF/$SETTE_SUB_VAL; break;;
-            [Nn]* ) exit;;
+            [Nn]* ) echo "Ok, continuing with ${NEMO_VALIDATION_REF}/MAIN as the reference directory"
+                    export NEMO_VALIDATION_REF=${NEMO_VALIDATION_REF}/MAIN
+                    break
+                    ;;
             * ) echo "Please answer yes or no.";;
         esac
     done
    fi
+  else
+   export NEMO_VALIDATION_DIR=${NEMO_VALIDATION_DIR}/MAIN
+   export ${NEMO_VALIDATION_REF}/MAIN
   fi
   NEMO_VALID=${NEMO_VALIDATION_DIR}
Index: utils/CI/sette_ticket2673/sette_use_LITE.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_use_LITE.sh	(revision 14887)
+++ utils/CI/sette_ticket2673/sette_use_LITE.sh	(revision 14887)
@@ -0,0 +1,41 @@
+#!/bin/bash
+# set -vx
+# Simple script to switch to using the reduced precision input files
+# Finds all 4.2_RC strings in input*.cfg files and appends _LITE.
+# Repeat with the -r flag to reverse this process.
+#
+# This needs to be run in the SETTE directory. 
+#
+#########################################################################################
+######################### Start of function definitions #################################
+##
+# 
+reverse=0
+  if [ $# -gt 0 ]; then
+    while getopts r option; do 
+       case $option in
+          r) reverse=1;;
+          h | *) echo ''
+                 echo 'sette_use_LITE.sh : ' 
+                 echo '     Switch to using the reduced precision, LITE input files'
+                 echo ' [-r] :'
+                 echo '     Switch back to using the normal 4.2_RC files'
+                 exit 42;;
+       esac
+    done
+    shift $((OPTIND - 1))
+  fi
+#
+  if [  $reverse == 0 ] ; then
+    for file in $( grep -l -e '4.2_RC\.' -e '4.2_RC$' in*cfg )
+    do
+      perl -0777 -pi -e 's@4.2_RC@4.2_RC_LITE@g'  $file
+    done
+  else
+    for file in $( grep -l -e '4.2_RC_LITE\.' -e '4.2_RC_LITE$' in*cfg )
+    do
+      perl -0777 -pi -e 's@4.2_RC_LITE@4.2_RC@g'  $file
+    done
+  fi
+#
+exit