Index: utils/CI/sette_ticket2673/all_functions.sh
===================================================================
--- utils/CI/sette_ticket2673/all_functions.sh	(revision 14890)
+++ utils/CI/sette_ticket2673/all_functions.sh	(revision 14893)
@@ -91,5 +91,5 @@
 usage=" if value is a string ths is neede syntax : ./set_namelist namelist_name var_name \"new_value\" "
 
-# sync MYSRC files (input CFG and CFG_ST)
+# sync MYSRC files (input CFG and CFG_STg; where g is an optional, single, alphanumeric character)
 sync_config() {
    if [ ${SYNC_CONFIGS} == "yes" ]; then
@@ -144,5 +144,5 @@
 }
 
-# clean _ST config (input CFG CFG_ST TYPE (test or ref))
+# clean _STg config (input CFG CFG_STg TYPE (test or ref))
 clean_config() {
    if [ ${CLEAN_CONFIGS} == "yes" ]; then
@@ -184,5 +184,7 @@
     fi
     [ `${SVN_CMD} status -q ${SETTE_DIR}/../{cfgs,tests,src} | wc -l` -ge 1 ] && REVISION_NB=${REVISION_NB}+
-    export NEMO_VALID=${NEMO_VALIDATION_DIR}/${CMP_NAM}/${REVISION_NB}/${NEW_CONF/%_ST/}/${TEST_NAME}
+    # remove last _ST followed by zero or more alphanumeric characters
+    NEW_CONF1=$( echo $NEW_CONF | sed -e 's/_ST\([0-9a-zA-Z]*\)$//' )
+    export NEMO_VALID=${NEMO_VALIDATION_DIR}/${CMP_NAM}/${REVISION_NB}/${NEW_CONF1}/${TEST_NAME}
 }
 
Index: utils/CI/sette_ticket2673/sette.sh
===================================================================
--- utils/CI/sette_ticket2673/sette.sh	(revision 14890)
+++ utils/CI/sette_ticket2673/sette.sh	(revision 14893)
@@ -5,4 +5,5 @@
 MAIN_DIR=$(dirname $SETTE_DIR)
 export CMPL_CORES=8            # Number of threads to use for compiling
+export SETTE_STG="_ST"         # Base suffix to append to configuration name
 dry_run=0
 NO_REPORT=0
@@ -33,5 +34,5 @@
 # Parse command-line arguments
 if [ $# -gt 0 ]; then
-  while getopts n:x:v:cdrshTqQteiACFX option; do 
+  while getopts n:x:v:g:cdrshTqQteiACFX option; do 
      case $option in
         c) export SETTE_CLEAN_CONFIGS='yes'
@@ -56,4 +57,10 @@
              echo "-n: Configuration ${SETTE_TEST_CONFIGS[@]} will be tested if it is available"
            fi
+           echo "";;
+        g) case $OPTARG in
+             [0-9,a-z,A-Z] ) echo "-g: Using ${SETTE_STG}${OPTARG} as the configuration suffix";;
+             * ) echo "-g only accepts a single, alphanumeric character. Processing halted"; exit 42;;
+           esac
+           export SETTE_STG=${SETTE_STG}${OPTARG}
            echo "";;
         x) export SETTE_TEST_TYPES=(${OPTARG})
@@ -109,4 +116,6 @@
                echo '              TEST_type choices are: RESTART REPRO CORRUPT PHYSICS - anything else will COMPILE only'
                echo '-v "subdir" optional validation record subdirectory to be created below NEMO_VALIDATION_DIR'
+               echo '-g "group_suffix" single character suffix to be appended to the standard _ST suffix used'
+               echo '                  for SETTE-built configurations (needed if sette.sh invocations may overlap)'
                echo '-r to execute without waiting to run sette_rpt.sh at the end (useful for chaining sette.sh invocations)'
                echo '-d to perform a dryrun to simply report what settings will be used'
Index: utils/CI/sette_ticket2673/sette_reference-configurations.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_reference-configurations.sh	(revision 14890)
+++ utils/CI/sette_ticket2673/sette_reference-configurations.sh	(revision 14893)
@@ -135,4 +135,5 @@
 # -----------
 if [ ${config} == "GYRE_PISCES" ] ;  then
+    SETTE_CONFIG="GYRE_PISCES"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -145,9 +146,9 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  GYRE_PISCES GYRE_PISCES_ST 'cfgs'
-    clean_config GYRE_PISCES GYRE_PISCES_ST 'cfgs'
+    sync_config  GYRE_PISCES ${SETTE_CONFIG} 'cfgs'
+    clean_config GYRE_PISCES ${SETTE_CONFIG} 'cfgs'
     #
     # GYRE uses linssh so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n GYRE_PISCES_ST -r GYRE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r GYRE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "GYRE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -273,4 +274,5 @@
 # -----------------
 if [ ${config} == "ORCA2_ICE_PISCES" ] ;  then
+    SETTE_CONFIG="ORCA2_ICE_PISCES"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -283,8 +285,8 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  ORCA2_ICE_PISCES ORCA2_ICE_PISCES_ST 'cfgs'
-    clean_config ORCA2_ICE_PISCES ORCA2_ICE_PISCES_ST 'cfgs'
-    #
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_ICE_PISCES_ST -r ORCA2_ICE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    sync_config  ORCA2_ICE_PISCES ${SETTE_CONFIG} 'cfgs'
+    clean_config ORCA2_ICE_PISCES ${SETTE_CONFIG} 'cfgs'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r ORCA2_ICE_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "ORCA2_ICE_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -495,4 +497,5 @@
 # ----------------
 if [ ${config} == "ORCA2_OFF_PISCES" ] ;  then
+    SETTE_CONFIG="ORCA2_OFF_PISCES"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -505,9 +508,9 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
-    clean_config ORCA2_OFF_PISCES ORCA2_OFF_PISCES_ST 'cfgs'
+    sync_config  ${SETTE_CONFIG} ORCA2_OFF_PISCES_ST 'cfgs'
+    clean_config ${SETTE_CONFIG} ORCA2_OFF_PISCES_ST 'cfgs'
     #
     # ORCA2_OFF_PISCES uses linssh so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_OFF_PISCES_ST -r ORCA2_OFF_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r ORCA2_OFF_PISCES -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "ORCA2_OFF_PISCES" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -671,4 +674,5 @@
 # -----
 if [ ${config} == "AMM12" ] ;  then
+    SETTE_CONFIG="AMM12"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -681,8 +685,8 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  AMM12 AMM12_ST 'cfgs'
-    clean_config AMM12 AMM12_ST 'cfgs'
-    #
-    . ./makenemo -m ${CMP_NAM} -n AMM12_ST -r AMM12 -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    sync_config  AMM12 ${SETTE_CONFIG} 'cfgs'
+    clean_config AMM12 ${SETTE_CONFIG} 'cfgs'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AMM12 -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "AMM12" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -796,4 +800,5 @@
 # ---------
 if [ ${config} == "SAS" ] ;  then
+    SETTE_CONFIG="ORCA2_SAS_ICE"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -806,9 +811,9 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  ORCA2_SAS_ICE ORCA2_SAS_ICE_ST 'cfgs'
-    clean_config ORCA2_SAS_ICE ORCA2_SAS_ICE_ST 'cfgs'
+    sync_config  ORCA2_SAS_ICE ${SETTE_CONFIG} 'cfgs'
+    clean_config ORCA2_SAS_ICE ${SETTE_CONFIG} 'cfgs'
     #
     # ORCA2_SAS_ICE uses linssh so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_SAS_ICE_ST -r ORCA2_SAS_ICE -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r ORCA2_SAS_ICE -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "SAS" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -935,4 +940,5 @@
 ## Restartability not tested (ASM code not restartable while increments are being applied)
 if [ ${config} == "ORCA2_ICE_OBS" ] ;  then
+    SETTE_CONFIG="ORCA2_ICE_OBS"${SETTE_STG}
 ## Reproducibility tests
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
@@ -945,8 +951,8 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  ORCA2_ICE_PISCES ORCA2_ICE_OBS_ST 'cfgs'
-    clean_config ORCA2_ICE_PISCES ORCA2_ICE_OBS_ST 'cfgs'
-    #
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_ICE_OBS_ST -r ORCA2_ICE_PISCES -d "OCE ICE"  -j ${CMPL_CORES} add_key "key_asminc ${ADD_KEYS}" del_key "key_top ${DEL_KEYS}"
+    sync_config  ORCA2_ICE_PISCES ${SETTE_CONFIG} 'cfgs'
+    clean_config ORCA2_ICE_PISCES ${SETTE_CONFIG} 'cfgs'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r ORCA2_ICE_PISCES -d "OCE ICE"  -j ${CMPL_CORES} add_key "key_asminc ${ADD_KEYS}" del_key "key_top ${DEL_KEYS}"
 fi
 if [ ${config} == "ORCA2_ICE_OBS" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -1049,4 +1055,5 @@
 # -----------
 if [ ${config} == "AGRIF" ] ;  then
+    SETTE_CONFIG="AGRIF_DEMO"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -1062,9 +1069,9 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  AGRIF_DEMO AGRIF_DEMO_ST 'cfgs'
-    clean_config AGRIF_DEMO AGRIF_DEMO_ST 'cfgs'
+    sync_config  AGRIF_DEMO ${SETTE_CONFIG} 'cfgs'
+    clean_config AGRIF_DEMO ${SETTE_CONFIG} 'cfgs'
     #
     # AGRIF_DEMO does not yet support nn_hls=2 => key_loop_fusion can not be used
-    . ./makenemo -m ${CMP_NAM} -n AGRIF_DEMO_ST -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -1294,13 +1301,14 @@
 ## test code corruption with AGRIF (phase 2) ==> Compile without key_agrif (to be compared with AGRIF_DEMO_ST/ORCA2)
 if [ ${config} == "AGRIF" ] && [ ${DO_CORRUPT} == "1" ] ;  then
+    SETTE_CONFIG="AGRIF_DEMO_NOAGRIF"${SETTE_STG}
     export TEST_NAME="ORCA2"
     cd ${MAIN_DIR}
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  AGRIF_DEMO AGRIF_DEMO_NOAGRIF_ST 'cfgs'
-    clean_config AGRIF_DEMO AGRIF_DEMO_NOAGRIF_ST 'cfgs'
+    sync_config  AGRIF_DEMO ${SETTE_CONFIG} 'cfgs'
+    clean_config AGRIF_DEMO ${SETTE_CONFIG} 'cfgs'
     #
     # AGRIF_DEMO does not yet support nn_hls=2 => key_loop_fusion can not be used
-    . ./makenemo -m ${CMP_NAM} -n AGRIF_DEMO_NOAGRIF_ST -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "key_agrif ${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r AGRIF_DEMO -j ${CMPL_CORES} add_key "${ADD_KEYS/key_loop_fusion}" del_key "key_agrif ${DEL_KEYS}"
     cd ${SETTE_DIR}
     . ./prepare_exe_dir.sh
@@ -1329,4 +1337,5 @@
 # -------
 if [ ${config} == "WED025" ] ;  then
+    SETTE_CONFIG="WED025"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -1339,9 +1348,9 @@
     #
     # syncronisation if target directory/file exist (not done by makenemo)
-    sync_config  WED025 WED025_ST 'cfgs'
-    clean_config WED025 WED025_ST 'cfgs'
+    sync_config  WED025 ${SETTE_CONFIG} 'cfgs'
+    clean_config WED025 ${SETTE_CONFIG} 'cfgs'
     #
     # WED025 uses ln_hpg_isf so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n WED025_ST -r WED025 -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -r WED025 -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "WED025" ] && [ ${DO_RESTART} == "1" ] ;  then
Index: utils/CI/sette_ticket2673/sette_test-cases.sh
===================================================================
--- utils/CI/sette_ticket2673/sette_test-cases.sh	(revision 14890)
+++ utils/CI/sette_ticket2673/sette_test-cases.sh	(revision 14893)
@@ -135,4 +135,5 @@
 # ---------
 if [ ${config} == "OVERFLOW" ] ;  then
+    SETTE_CONFIG="OVERFLOW"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -145,9 +146,9 @@
     #
     #
-    clean_config OVERFLOW OVERFLOW_ST 'tests'
-    #
-    sync_config  OVERFLOW OVERFLOW_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n OVERFLOW_ST -a OVERFLOW -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    clean_config OVERFLOW ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  OVERFLOW ${SETTE_CONFIG} 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a OVERFLOW -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "OVERFLOW" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -244,4 +245,5 @@
 # --------------
 if [ ${config} == "LOCK_EXCHANGE" ] ;  then
+    SETTE_CONFIG="LOCK_EXCHANGE"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -255,9 +257,9 @@
     # syncronisation if target directory/file exist (not done by makenemo)
     #
-    clean_config LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
-    #
-    sync_config  LOCK_EXCHANGE LOCK_EXCHANGE_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n LOCK_EXCHANGE_ST -a LOCK_EXCHANGE -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    clean_config LOCK_EXCHANGE ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  LOCK_EXCHANGE ${SETTE_CONFIG} 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a LOCK_EXCHANGE -j ${CMPL_CORES} add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "LOCK_EXCHANGE" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -355,4 +357,5 @@
 # ---------
 if [ ${config} == "VORTEX" ] ;  then
+    SETTE_CONFIG="VORTEX"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -367,9 +370,9 @@
     # syncronisation if target directory/file exist (not done by makenemo)
     #
-    clean_config VORTEX VORTEX_ST 'tests'
-    #
-    sync_config  VORTEX VORTEX_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n VORTEX_ST -a VORTEX -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    clean_config VORTEX ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  VORTEX ${SETTE_CONFIG} 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a VORTEX -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "VORTEX" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -532,4 +535,5 @@
 # ---------
 if [ ${config} == "ICE_AGRIF" ] ;  then
+    SETTE_CONFIG="ICE_AGRIF"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -544,10 +548,10 @@
     # syncronisation if target directory/file exist (not done by makenemo)
     #
-    clean_config ICE_AGRIF ICE_AGRIF_ST 'tests'
-    #
-    sync_config  ICE_AGRIF ICE_AGRIF_ST 'tests'
+    clean_config ICE_AGRIF ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  ICE_AGRIF ${SETTE_CONFIG} 'tests'
     #
     # ICE_AGRIF uses linssh so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n ICE_AGRIF_ST -a ICE_AGRIF -j ${CMPL_CORES}  add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a ICE_AGRIF -j ${CMPL_CORES}  add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "ICE_AGRIF" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -714,4 +718,5 @@
 # ------
 if [ ${config} == "ISOMIP+" ] ;  then
+    SETTE_CONFIG="ISOMIP+"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -725,10 +730,10 @@
     # syncronisation if target directory/file exist (not done by makenemo)
     #
-    clean_config ISOMIP+ ISOMIP+_ST 'tests'
-    #
-    sync_config  ISOMIP+ ISOMIP+_ST 'tests'
+    clean_config ISOMIP+ ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  ISOMIP+ ${SETTE_CONFIG} 'tests'
     #
     # ISOMIP+ uses ln_hpg_isf so remove key_qco if added by default
-    . ./makenemo -m ${CMP_NAM} -n ISOMIP+_ST -a ISOMIP+ -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a ISOMIP+ -j ${CMPL_CORES} add_key "${ADD_KEYS/key_qco/}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "ISOMIP+" ] && [ ${DO_RESTART} == "1" ] ;  then
@@ -850,4 +855,5 @@
 # ---------
 if [ ${config} == "SWG" ] && [ ${USING_QCO} == "yes" ] ;  then
+    SETTE_CONFIG="SWG"${SETTE_STG}
     if [ $( echo ${CMP_NAM} | grep -ic debug ) -eq 1 ]
     then
@@ -861,9 +867,9 @@
     # syncronisation if target directory/file exist (not done by makenemo)
     #
-    clean_config SWG SWG_ST 'tests'
-    #
-    sync_config  SWG SWG_ST 'tests'
-    #
-    . ./makenemo -m ${CMP_NAM} -n SWG_ST -a SWG -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
+    clean_config SWG ${SETTE_CONFIG} 'tests'
+    #
+    sync_config  SWG ${SETTE_CONFIG} 'tests'
+    #
+    . ./makenemo -m ${CMP_NAM} -n ${SETTE_CONFIG} -a SWG -j ${CMPL_CORES}  add_key "${ADD_KEYS}" del_key "${DEL_KEYS}"
 fi
 if [ ${config} == "SWG" ] && [ ${DO_RESTART} == "1" ] && [ ${USING_QCO} == "yes" ] ;  then