Index: NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml
===================================================================
--- NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml	(revision 14904)
+++ NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/field_def_nemo-oce.xml	(revision 14906)
@@ -400,33 +400,39 @@
 
       <!-- * variable related to ice shelf forcing * -->
+
+      <!-- * fwf * -->
+      <field id="fwfisf_cav"      long_name="Ice shelf melt rate ( > 0 out )"               unit="kg/m2/s"  />
+      <field id="fwfisf_par"      long_name="Ice shelf melt rate ( > 0 out )"               unit="kg/m2/s"  />
+      <field id="fwfisf3d_cav"    long_name="Ice shelf melt rate ( > 0 out )"               unit="kg/m2/s"  grid_ref="grid_T_3D" />
+      <field id="fwfisf3d_par"    long_name="Ice shelf melt rate ( > 0 out )"               unit="kg/m2/s"  grid_ref="grid_T_3D" />
+
+      <!-- * heat fluxes * -->
+      <field id="qoceisf_cav"     long_name="Ice shelf ocean  heat flux ( > 0 out )"                    unit="W/m2"     />
+      <field id="qoceisf_par"     long_name="Ice shelf ocean  heat flux ( > 0 out )"                    unit="W/m2"     />
+      <field id="qlatisf_cav"     long_name="Ice shelf latent heat flux ( > 0 out )"                    unit="W/m2"     />
+      <field id="qlatisf_par"     long_name="Ice shelf latent heat flux ( > 0 out )"                    unit="W/m2"     />
+      <field id="qhcisf_cav"      long_name="Ice shelf heat content flux of injected water ( > 0 out )" unit="W/m2"     />
+      <field id="qhcisf_par"      long_name="Ice shelf heat content flux of injected water ( > 0 out )" unit="W/m2"     />
+      <field id="qoceisf3d_cav"   long_name="Ice shelf ocean  heat flux ( > 0 out )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qoceisf3d_par"   long_name="Ice shelf ocean  heat flux ( > 0 out )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qlatisf3d_cav"   long_name="Ice shelf latent heat flux ( > 0 out )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qlatisf3d_par"   long_name="Ice shelf latent heat flux ( > 0 out )"                    unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qhcisf3d_cav"    long_name="Ice shelf heat content flux of injected water ( > 0 out )" unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qhcisf3d_par"    long_name="Ice shelf heat content flux of injected water ( > 0 out )" unit="W/m2"     grid_ref="grid_T_3D" />
+      <field id="qconisf"         long_name="Conductive heat flux through the ice shelf ( > 0 out )"    unit="W/m2"     />
+
+      <!-- top boundary layer properties -->
       <field id="isftfrz_cav"     long_name="freezing point temperature at ocean/isf interface"                unit="degC"     />
       <field id="isftfrz_par"     long_name="freezing point temperature in the parametrization boundary layer" unit="degC"     />
-      <field id="fwfisf_cav"      long_name="Ice shelf melt rate"                           unit="kg/m2/s"  />
-      <field id="fwfisf_par"      long_name="Ice shelf melt rate"                           unit="kg/m2/s"  />
-      <field id="qoceisf_cav"     long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     />
-      <field id="qoceisf_par"     long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     />
-      <field id="qlatisf_cav"     long_name="Ice shelf latent heat flux"                    unit="W/m2"     />
-      <field id="qlatisf_par"     long_name="Ice shelf latent heat flux"                    unit="W/m2"     />
-      <field id="qhcisf_cav"      long_name="Ice shelf heat content flux of injected water" unit="W/m2"     />
-      <field id="qhcisf_par"      long_name="Ice shelf heat content flux of injected water" unit="W/m2"     />
-      <field id="fwfisf3d_cav"    long_name="Ice shelf melt rate"                           unit="kg/m2/s"  grid_ref="grid_T_3D" />
-      <field id="fwfisf3d_par"    long_name="Ice shelf melt rate"                           unit="kg/m2/s"  grid_ref="grid_T_3D" />
-      <field id="qoceisf3d_cav"   long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="qoceisf3d_par"   long_name="Ice shelf ocean  heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="qlatisf3d_cav"   long_name="Ice shelf latent heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="qlatisf3d_par"   long_name="Ice shelf latent heat flux"                    unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="qhcisf3d_cav"    long_name="Ice shelf heat content flux of injected water" unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="qhcisf3d_par"    long_name="Ice shelf heat content flux of injected water" unit="W/m2"     grid_ref="grid_T_3D" />
-      <field id="ttbl_cav"        long_name="temperature in Losch tbl"                      unit="degC"     />
-      <field id="ttbl_par"        long_name="temperature in the parametrisation boundary layer" unit="degC" />
       <field id="isfthermald_cav" long_name="thermal driving of ice shelf melting"          unit="degC"     />
       <field id="isfthermald_par" long_name="thermal driving of ice shelf melting"          unit="degC"     />
       <field id="isfgammat"       long_name="Ice shelf heat-transfert velocity"             unit="m/s"      />
       <field id="isfgammas"       long_name="Ice shelf salt-transfert velocity"             unit="m/s"      />
+      <field id="ttbl_cav"        long_name="temperature in Losch tbl"                      unit="degC"     />
+      <field id="ttbl_par"        long_name="temperature in the parametrisation boundary layer" unit="degC" />
       <field id="stbl"            long_name="salinity in the Losh tbl"                      unit="1e-3"     />
       <field id="utbl"            long_name="zonal current in the Losh tbl at T point"      unit="m/s"      />
       <field id="vtbl"            long_name="merid current in the Losh tbl at T point"      unit="m/s"      />
       <field id="isfustar"        long_name="ustar at T point used in ice shelf melting"    unit="m/s"      />
-      <field id="qconisf"         long_name="Conductive heat flux through the ice shelf"    unit="W/m2"     />
 
       <!-- *_oce variables available with ln_blk_clio or ln_blk_core -->
Index: NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref	(revision 14904)
+++ NEMO/branches/2021/ticket2669_isf_fluxes/cfgs/SHARED/namelist_ref	(revision 14906)
@@ -531,5 +531,5 @@
       ln_isfcav_mlt = .false.    ! ice shelf melting into the cavity (need ln_isfcav = .true. in domain_cfg.nc)
          cn_isfcav_mlt = '3eq'   ! ice shelf melting formulation (spe/2eq/3eq/oasis)
-         !                       ! spe = fwfisf is read from a forcing field
+         !                       ! spe = fwfisf is read from a forcing field ( melt > 0; freezing < 0 )
          !                       ! 2eq = ISOMIP  like: 2 equations formulation (Hunter et al., 2006 for a short description)
          !                       ! 3eq = ISOMIP+ like: 3 equations formulation (Asay-Davis et al., 2016 for a short description)
@@ -556,5 +556,5 @@
       ln_isfpar_mlt = .false.   ! ice shelf melting parametrised
          cn_isfpar_mlt = 'spe'  ! ice shelf melting parametrisation (spe/bg03/oasis)
-         !                      ! spe   = fwfisf is read from a forcing field
+         !                      ! spe   = fwfisf is read from a forcing field ( melt > 0; freezing < 0 )
          !                      ! bg03  = melt computed using Beckmann and Goosse parametrisation
          !                      ! oasis = fwfisf is given by oasis and pattern by file sn_isfpar_fwf